kind: pipeline
type: ssh
name: ssh-linux-test-irc-publish

platform:
  os: Linux
  arch: 386
  
clone:
  disable: true  #禁用默认克隆
  
server:
  host: 192.168.3.68
  user: root
  password:
    from_secret: local_pwd

steps:
- name: publish-test-hir-vue
  commands:
  - echo start publish test-hir-vue
  - cd /opt/hang/vue/test-hir    
  - sh test-hir.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - main    
       
---

      
kind: pipeline
type: ssh
name: ssh-linux-test-study-publish

platform:
  os: Linux
  arch: 386

clone:
  disable: true  #禁用默认克隆
  
server:
  host: 123.56.94.154
  user: root
  password:
    from_secret: local_pwd
  
steps:
- name: publish-test-study
  commands:
  - echo start publish test-study-api
  - cd /opt/1panel/hang/devops/test-study
  - sh test-study.sh v${DRONE_BUILD_NUMBER}
  
trigger:
  branch:
    - Test.Study  
    
    